<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:a4j="http://richfaces.org/a4j"
      xmlns="http://www.w3.org/1999/xhtml"
>
<h:outputStylesheet name="css/extraction/#{css}"/>
<a4j:jsFunction name="changeDisplay"
                execute="@this,panelChoiceDisplay,#{p:component('parametersRequest')}"
                render="panelChoiceDisplay,#{p:component('parametersRequest')}"
                limitRender="true">
</a4j:jsFunction>
<f:loadBundle basename="org.inra.ecoinfo.acbb.extraction.jsf.panels.displayChoiceStep" var="display"/>
<p class="intro">#{display.PARAM_MSG_INTRO}</p>

<a4j:outputPanel id="panelChoiceDisplay" ajaxRendered="false">
    <h:selectOneRadio value="#{uiBean.affichage}" onchange="changeDisplay()">
        <f:selectItem itemLabel="#{display.PROPERTY_MSG_DISPLAY_1}" itemValue="1"/>
        <f:selectItem itemLabel="#{display.PROPERTY_MSG_DISPLAY_2}" itemValue="2"/>
    </h:selectOneRadio>
</a4j:outputPanel>
</html>